blob_id stringlengths 40 40 | length_bytes int64 7 488k | source stringlengths 7 488k |
|---|---|---|
bf85fe440cda4479d67b89dde2738439a0ed0e3c | 264 | #!/usr/bin/env bash
set -o errexit -o nounset
TARGET_WORKSPACE=$1
SOURCE_WORKSPACE=$(nix-shell -p jq --run "swaymsg -t get_workspaces | jq '.[] | select(.focused==true).name' | cut -d '\"' -f2")
swaymsg "rename workspace $SOURCE_WORKSPACE to $TARGET_WORKSPACE"
|
fa92817eb1e82d3539f40083c4d0fb9a30ba1dc9 | 183 | #!/bin/sh
set -e
docker pull antoninagerasiova/trenders_efir:latest
docker rm -f content || true
docker run -p8081:8080 -d --rm --name content antoninagerasiova/trenders_efir:latest
|
01787591ce834d197599f1dcacba3127bf61d78b | 467 | # Linux custom aliases
# SSH shortcuts
alias daint='ssh daint.cscs.ch'
# When using kitty terminal emulator, alias ssh to have terminfo file available on the server
if [[ "$TERM" == "xterm-kitty" ]]; then
alias ssh='kitty +kitten ssh'
fi
# ls
alias ls='ls -G --color=auto'
alias lls='ls -lart'
alias l='ls -l'
alia... |
918eb7790389a692c3359e8e1e4ea39aac773da9 | 112 | POSTGRES_USER=postgres
POSTGRES_PASSWORD=postgres
POSTGRES_HOST=postgres
POSTGRES_PORT=5432
POSTGRES_DB=postgres |
d140a905b01a6446f3031f00052e717b0715bdab | 771 | #!/bin/bash
# prepare the plugins
git submodule init
git submodule update
#ln -sh ${PWD}/.profile ~/.profile
#ln -sh ${PWD}/.bashrc ~/.bashrc
#ln -sh ${PWD}/.bash_profile ~/.bash_profile
ln -sh ${PWD}/.zshrc ~/.zshrc
ln -sh ${PWD}/.git-completion.bash ~/.git-completion.bash
ln -sh ${PWD}/.gitconfig ~/.gitconfig
ln -... |
b4df3d86b555054305c6ac4e4bd80f42dbb533e3 | 162 | # Gives you helpful hints when you execute a command for which you have an alias defined
# https://github.com/molovo/tipz
export TIPZ_TEXT=" 💡 Alias tip:"
|
fcb6090b0af0411feb7bc6f5b50fd9eaf81443ab | 342 | #!/bin/bash
DIR="$HOME/.btcd"
if [ "$1" == "start" ]; then
$HOME/go/bin/btcd 1>> "$DIR/btcd_stdout.log" 2>> "$DIR/btcd_stderr.log" & echo $! > "$DIR/btcd.pid"
elif [ "$1" == "stop" ]; then
kill -SIGINT $(cat "$DIR/btcd.pid")
elif [ "$1" == "logs" ]; then
tail -f "$DIR/btcd_stdout.log"
else
echo "btcd {{ start... |
8e95f1691a22e3e8932d42cdf7f03da2133ee3cd | 275 | #!/bin/bash -i
echo "echo \"i 0x0014 e\" > /dev/pcan32"
echo "i 0x0014 e" > /dev/pcan32
echo "sudo ifconfig can0 down"
sudo ifconfig can0 down
echo "sudo ifconfig can0 up"
sudo ifconfig can0 up
echo "rosrun openrtm rtm-naming-restart"
rosrun openrtm rtm-naming-restart
|
bf4b041bdc068b1306f1d8e600962fee46ec8a97 | 1,057 | set -x
USERNAME=""
APIKEY=""
BASEURL="http://localhost:5000"
#BASEURL="http://product-service"
METHOD=$1
shift;
DB=$1
shift
COLL=$1
shift
HEADERS="--header \"X-MongoDB-Database: ${DB}\" --header \"X-MongoDB-Collection: ${COLL}\""
echo "testing method (with): ${METHOD} $@"
echo "Sending additional HTTP Headers: ${HEAD... |
aa966a6fe5dde17ed167efe5ed305f6c122ba962 | 63 | #!/bin/bash
. basic_day01_022func_group.sh
re_name .html .bak
|
f1ec64c0c43bae36f1cb7c47bde6b87b238c1bed | 233 | #!/bin/bash
# Умножение в бесконечном цикле двух случайных чисел
while :
do
i=$[$RANDOM*$RANDOM]
# echo $i # Раскомментировать для вывода на консоль
done
|
e60f4405c10588d3d45ed19da5e20a87f5688e82 | 3,456 | #!/bin/bash
# ANSI codes - separate with semicolons in escape code to combine.
# Charactors
# 0 - Normal
# 1 - Bold
# 4 - Underline
# 5 - Blinking
# 7 - Reverse
# Forground
# 30 - Black
# 31 - Red
# 32 - Green
# 33 - Yellow
# 34 - Blue
# 35 - Magenta
# 36 - Cyan
# 37 - White
# Background
# 40 - Black
# 41 - Red
# 42... |
d91435f861da8e540d342e025a0c5864dc2ec1f9 | 152 | python train.py --outdir ../checkpoint/pretrain \
--train_path ../data/all_train.json \
--valid_path ../data/all_dev.json \
--bert_pretrain ../bert_base |
9b04c52761a05c44fd250f265716dedb7d006867 | 1,790 | #Define global variables
declare -a A
declare -a T
#read list function
ReadList()
{
if [ $n -le 0 ]
then
echo "Invalid size"
return
else
echo "Enter input list of size $n:"
i=1
while [ $i -le $n ]
do
read A[$i]
i=`expr $i + 1`
done
return
fi
}
WriteList()
{
if [ $n -le 0 ]
then
echo "Invalid size"
return
else
i=1
whi... |
4912c2ea0a3c902ccf0992dff82ab1aa62f7c1d1 | 622 | #!/bin/sh
if [ $REQUEST_METHOD == GET ]
then
echo "Content-type:text/html;charset=utf-8"
echo
cat << EOF
<!doctype html>
<html>
<head>
<meta charset='utf-8'>
<title>Hallo_3</title>
</head>
<body>
Variabelen QUERY_STRING: $QUERY_STRING
Env: $REQUEST_METHOD
</body>
</html>
EOF
else
if [ "$CONTENT_LENG... |
188569b7c471b06277fd61392c0c89455c6d7073 | 223 | #!/bin/sh
if [[ $# < 2 ]]; then
echo "Usage: $0 site mountpoint"
exit 1
fi
SITE=$1
MOUNT=$2
syndicatefs -f -c syndicate-Internet2-$SITE.conf $MOUNT > /dev/null 2>/dev/null &
./poll-file.py $SITE.coord $MOUNT/hello &
|
bcfab7cdd615f78ee8bd3b81c9000c10b7107060 | 765 | #!/bin/bash
# GPU driver path
export PATH=/mnt/driver/bin:$PATH
export LD_LIBRARY_PATH=/mnt/driver/lib64:$LD_LIBRARY_PATH
# Update container's pycocotools to optimized version
pip uninstall -y pycocotools
export COCOAPI_VERSION=2.0+nv0.4.0
export COCOAPI_TAG=$(echo ${COCOAPI_VERSION} | sed 's/^.*+n//')
pip instal... |
988ef9256bc2e677e83df77de551f4d4c4e81bc4 | 993 | #!/bin/bash
. /vagrant/vagrant_setup/config.txt
echo "----- RabbitMQ: Installing..."
sudo apt-get install -y rabbitmq-server
# Install Gunicorn to app's vortual envoirenment
echo "----- Celery: Installing within your virtualenv..."
sudo -u $APP_USER bash << EOF
# -------[script begins]-------
cd $APP_PATH
sour... |
7e761155a9ae33e614219d9de768656d7e2227c4 | 304 | #!/bin/bash
OUT_FILE="samples/parker_sample.krn"
echo $PWD
python sample_jazz.py --init_dir=outputs/best --temperature=1.5 > $OUT_FILE
#python jazz/postprocess.py --input_krn $OUT_FILE --header scripts/header_parker --trailer scripts/trailer_parker
#
#python jazz/displayXml.py --input_krn $OUT_FILE |
554e11ebe2c89ad644a647342485968f1010bbfc | 2,549 | #!/bin/bash
DIR=/apps/priv/sa-priv/webex-config
#check if anyone is running the ansible
if [ -f lockfile ]
then
cat lockfile
exit
fi
echo Please enter the hostname:
read hostname
echo Please enter yourid:
read userid
#export hostname
# print some output
echo please wait, doing authentication setup
# add finge... |
7cc376cbcf7893220e9a90c5804174686e81bc57 | 244 | #!/bin/sh
set -e
if [ "$1" = "" ]; then
git clean --dry-run
git clean --force
git checkout -- .
git add .
#git rm --cached -r -f .
git reset --hard
else
git clean --force -d -x "$@"
git checkout HEAD -- "$@"
fi
|
08832499711d9b9358c03bfdac0b11358339e101 | 1,965 | #!/bin/bash
echo "Elasticsearch needs at least 2GB of RAM to run!"
# Prerequsisites
apt update
apt install -y apt-transport-https openjdk-8-jre-headless uuid-runtime pwgen dirmngr curl
# MongoDB
apt-key adv --keyserver hkp://keyserver.ubuntu.com:80 --recv 2930ADAE8CAF5059EE73BB4B58712A2291FA4AD5
echo "deb http://rep... |
ede131b79a5437804c1b91a756649dcf43ba92e6 | 1,625 | # Maintainer: heavysink <winstonwu91@gmail.com>
_pkgname=eka2l1
pkgname="${_pkgname}-git"
pkgver=5287.e988060e1
pkgrel=1
pkgdesc="Experimental Symbian OS emulator (GIT version)"
arch=('x86_64')
url="https://github.com/EKA2L1/EKA2L1"
license=('GPL2')
makedepends=(
'boost'
'cmake'
'git'
'ccache'
'glfw'
'vulka... |
562713dbcb327a021253cb64679050b437dc8c6e | 423 | sudo sh -c "echo '#!/bin/sh' > /usr/sbin/pause"
sudo sh -c "echo 'echo press any key to continue...' >> /usr/sbin/pause"
sudo sh -c "echo 'read r' >> /usr/sbin/pause"
sudo chmod +x /usr/sbin/pause
sudo chmod -Rf 777 /usr/sbin/pause
#sudo chown -R $(whoami) /usr/sbin/pause
sudo sh -c "echo '#!/bin/sh' > /usr/sbin/cls"
s... |
0eb655b84b12961a06e596bafb2ed160185de9b0 | 410 | #!/usr/bin/env bash
folder=~/workspace/assets/amcharts
url="https://s3.amazonaws.com/amcharts-downloads/3.21/amcharts_3.21.7.free.zip"
cwd=$(pwd)
if [ -d $folder ]; then rm -rf $folder; fi
(
cd ~/workspace/assets
wget -O amcharts.zip $url
unzip -q amcharts.zip 'amcharts/*' -d amcharts
rm ./amcharts.zip
... |
b47b69060cbef7df556ea4457fc289c671671dbd | 1,014 | #!/bin/bash
USER1=“elena”
USER2=“jose”
USER3=“luis”
USER4=“carlos”
USER5=“carmen”
GROUP1=“contabilidad”
GROUP2=“administrador”
echo “Iniciando la creacion de usuarios”
#create el usuario elena
useradd -m -d /home/$USER1 -s /bin/bash $USER1
#create el usuario jose
useradd -m -d /home/$USER2 -s /bin/bash $USER2
#cr... |
b5c0532231476a01cf504325cf539b106889d73d | 365 | # service_run dir user prog
service_run() {
service_run_tmp1="$1"
shift
safe mkdir -p "$service_run_tmp1" "$service_run_tmp1/env"
safe cat > "$service_run_tmp1/run.tmp" <<EOF
#!/bin/sh
exec 2>&1
exec envdir ./env sh -c '
exec envuidgid $@
'
EOF
safe chmod 0755 "$service_run_tmp1/run.tmp"
safe mv "$service... |
a87e46ebf1af1cb1e3dec35feffb88fdc5bdeaaa | 263 | #!/bin/bash
SCREENS_COUNT=$(xrandr | grep ' connected' -c)
DIR=$(dirname "${BASH_SOURCE[0]}")
echo $DIR > /tmp/screenslog
case "$SCREENS_COUNT" in
3) bash "$DIR/screenlayout/3.sh";;
2) bash "$DIR/screenlayout/2.sh";;
*) bash "$DIR/screenlayout/1.sh";;
esac
|
91bf3a8ddb30852b071f3e724844aedc41981893 | 158 | sh ./setup/d.sh "$1"
sh ./setup/l.sh "$1.Infrastructure"
sh ./setup/l.sh "$1.Core"
sh ./setup/l.sh "$1.Service"
dotnet restore ".\\$1.sln"
sh ./setup/clean.sh |
0b23b92648e6fb1fdf93ba73711871aa3bd42b5d | 1,182 | #!/bin/sh
# A CRUDE Script to install Mellanox OFED drivers
# Philip.Chan@monash.edu
#
# TODO: check if MLNX_OFED is already installed!
# TODO: check kernel...
KERN=`uname -r`
if [ "$KERN" != "3.10.0-229.14.1.el7.x86_64" ]
then
echo "Oops! Did you forget to reboot?"
echo "Kernel version has to be 3.10.0-229.14.1.... |
fa31f98e5db7255be732eba711a35bd232ddf9b0 | 52 | cp src/.env build/src/
cp src/openapi.yml build/src/ |
8ab9ecfce3314954b6bd41173a89f3be5f4ee333 | 4,355 |
#combine with 2015 CTM files
comb_all2 comb_dec_decmorph_decgraph_sn_50 comb_dec_decmorph_sn_50 comb_dec_decmorph_3366 comb_all2_nonsn
for sys1 in morph2 word2 word-sys3
do
for combs in comb_all2 comb_dec_decmorph_decgraph_sn_50 comb_dec_decmorph_sn_50 comb_dec_decmorph_3366 comb_all2_nonsn
do
python combine.py --hit... |
82203e849f6946d15cb2f70b0fa2da8495227fba | 819 | #!/bin/bash
echo "Clearing Gazebo, PX4 and rosmaster..."
{
killall gzserver gzclient rosmaster px4
} >> /dev/null
gnome-terminal --window-with-profile=sim --working-directory=/home/art/src/Firmware -x sudo make px4_sitl_default gazebo_iris_opt_flow no_sim=1
cd ~/src/Firmware
source Tools/setup_gazebo.bash $(pwd) $(... |
07999c3f20f8b7cc2cbdec0371693b7c73012bd4 | 1,438 | #! /bin/sh
### BEGIN INIT INFO
# Provides: zookeeper
# Required-Start: $remote_fs $syslog
# Required-Stop: $remote_fs $syslog
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: Kafka Zookeper initscript
### END INIT INFO
# Author: Thomas Liebscher <thomas.liebscher@iconicfutur... |
6904ad988de18153100e2e6b81ba6365d4c65ae9 | 422 | #!/bin/bash
if [[ $# -lt 1 ]]
then
echo 'mode argument required. apply | destroy'
exit 1
elif [[ $1 -eq 'apply' ]] || [[ $1 -eq 'destroy' ]]
then
cd /home/operations/orchestrator/src
python3 ./main.py --config /home/operations/config.json --terraform-dir /home/operations/terraform --ansible-dir /home/oper... |
33df2388b42c25c940ef6304546659666ad47b08 | 888 | # Maintainer: Josh Cartwright <joshc@eso.teric.us>
pkgname=hooktftp-git
pkgver=0.10.0.r28.g8bba8e8
pkgrel=1
pkgdesc="Hook based tftp server"
arch=('x86_64' 'i686')
url="https://github.com/epeli/hooktftp"
license=('MIT')
makedepends=('go' 'bzr')
source=('git://github.com/epeli/hooktftp.git')
md5sums=('SKIP')
pkgver() ... |
44fd17007687d632884f43e4e454c3cf7405f33a | 981 | #!/bin/bash
injects1=$(xmlstarlet sel -B -t -c '.' objects.xml)
injects2=$(xmlstarlet sel -B -t -c '.' newtypes.xml)
spec=$(cat gl.xml)
while read -r inject
do
command='xmlstarlet ed -P '
while read -r action
do
method=$(xmlstarlet sel -t -v '/action/@method' <<<"$action")
xpath=$(xmlstarle... |
95f8d85021a149a352419ced323ea8cf264b917a | 324 | #!/bin/bash
SOURCE_DIR=$1
DESTINATION_DIR=$2
GEOCODE_DIR=$3
STATE=$4
# reorg the shapefiles into grids and attach some useful attributes
# --max-old-space-size=8192
node app.js -s ${STATE} -i ${SOURCE_DIR}/${STATE}.txt -o ${DESTINATION_DIR} -c ${GEOCODE_DIR}/county.geo.txt -m ${GEOCODE_DIR}/${STATE}-grid-to-counties.... |
3570b2507edb444acce89b092dd66f373b429c05 | 2,970 | #!/bin/bash
# Initialize the variables #
declare -x INPUT_JSON=$(cat <<EOF
'{
"HostedZoneId": "${hosted_zone_id}",
"ChangeBatch": {
"Comment": "Update the A record set",
"Changes": [
{
"Action": "UPSERT",
"ResourceRecordSet": {
... |
3c44035b575368aec2b5bc569041f821e5f3f0fe | 324 | #/bin/bash
# FIXME: activate when ITIFoundation/openapi-tools:latest available
exec {{ cookiecutter.simcore_install_root }}../scripts/openapi/openapi_codegen.sh \
-i ../src/{{ cookiecutter.package_name }}/oas3/{{cookiecutter.openapi_specs_version}}/openapi.yaml \
-o . \
-g python \
-c ./codegen_config.j... |
2bc5569593db3aa47fd2b0e7635a3f9f7351010a | 1,504 | # sudo bash
ovs-vsctl del-br s1
#ovs-vsctl del-br s2
ip link delete s1-eth1
ip link delete s1-eth2
ip link delete s1-eth3
ip link delete s1-eth4
ip netns delete h1
ip netns delete h2
ip netns delete h3
ip netns delete h4
ip netns add h1
ip netns add h2
ip netns add h3
ip netns add h4
ovs-vsctl add-br s1
#ovs-vsctl ad... |
46f6fd8136ec53f0229e0b8ae94950549e579df0 | 95 | #!/bin/bash
LD_LIBRARY_PATH=/usr/local/opencv-2.4.13/lib/ exec /usr/local/bin/frameCapture $@
|
78957af32e31e8f06156b127d6d78fb354e8b292 | 498 | export PATH=$PATH:~/bin
export SEAL_HOME=/home/pvn/SEAL_HOME
#export TERMINAL=sakura
export MAVEN_OPTS_DEBUG="-Xdebug -Xnoagent -Djava.compiler=NONE -Xrunjdwp:transport=dt_socket,address=4000,server=y,suspend=n"
export EDITOR="vim"
alias ovpnSEAL='sudo openvpn --script-security 2 --up /home/pvn/Projects/openvpn-update... |
554e1f740d86999b3b9c07ed8a384fb69a443067 | 540 | #!/bin/sh
# Sets up environment for artifact evaluation
SCRIPT=$(readlink -f "$0")
SCRIPTPATH=$(dirname "$SCRIPT")
AEROOT=$SCRIPTPATH
echo "==== Groute Artifact Evaluation Cleanup ===="
rm -rf $AEROOT/setup.complete
rm -rf $AEROOT/code/groute/metis
rm -rf $AEROOT/code/mgbench/build
rm -rf $AEROOT/code/nccl/build
r... |
44274d914e182fc7246e45c8780262e35a83e33f | 44 | #!/bin/bash
python3 simBOLD.py 15Cb2205144YR |
58c00783047cc5e0e4e032297a781d06831a0ba3 | 95 | #!/bin/bash -e
mpc current -f '%file%\n%genre%\n%artist%\n%title%\n%album%\n%time%\n%comment%'
|
23de9bdb076dc4cb8d26be303a2c7bb34ea38bd4 | 3,083 | #!/bin/bash
# Copyright (c) 2020-2021 Advanced Micro Devices, Inc. All rights reserved.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the... |
e229090cc21ce03bd1ee48e9bb42b22269b2b3e1 | 517 | #!/bin/sh
# run Icarus verilog:
iverilog-vpi ./../vpi/namuru_vpi.c
iverilog -o tb_simplified_gps_baseband ./../test/tb_simplified_gps_baseband.v ./../rtl/simplified_gps_baseband.v ./../rtl/time_base.v ./../rtl/tracking_channel.v ./../rtl/carrier_mixer.v ./../rtl/carrier_nco.v ./../rtl/code_nco.v ./../rtl/code_gen.v ./... |
3fe354af054f6469c211f55412e84c8670260e97 | 279 | yum install git
cd /opt/
git clone httsp://github.com/superproxy/mycloud.git
#service ss
cd mycloud/shell/
chmod +x *.shell
./install_shadowsocks.sh
#
yum install saltstack
# install java maven
yum install jdk
yum install maven
./gitblit.sh
./jenkins.sh
./sonar.sh
.
|
349dcd93aa0d475eaefe2d0a1b076e2b57744860 | 74 | #!/bin/bash
rm fonts.zip
zip --password $PXL_FONTSPW fonts.zip *.otf *.ttf |
7b3e2a20e124cabf32e2eb84df2adb9d2c38b9ed | 2,069 | #!/bin/zsh
export PATH="$PATH:$ZDOTDIR/bin"
# {{{ zgen configuration
local zgen_file=$ZDOTDIR/zgen/zgen.zsh
if ! [ -e $zgen_file ]; then
git clone https://github.com/tarjoilija/zgen.git $ZDOTDIR/zgen/
fi
# {{{ z configuration
_Z_DATA=$XDG_DATA_HOME/zsh_z
_Z_CMD=j
# }}}
source $zgen_file
if ! zgen saved; then
... |
74227e864b3b3ea2e52a3bdfb9af2eed402c0989 | 1,032 | #!/bin/bash
#Test de PHP
username="$(id -u -n)"
sudo adduser $username www-data #Anade al user al grupo www-data
#sudo chown $username.users /var/www
#sudo chown -R www-data:www-data /var/www
sudo chmod -R g+rwx /var/www #Da permisos al grupo
sudo chmod 777 -R /var/www/
#sudo cp testphp.php /var/www/
echo "<?php phpin... |
79d5f428968b4bce659b8204c641da809b3c346d | 6,527 | #!/bin/bash
# TOOL BUILDER FUNCTIONS VERSION
# THE SCRIPT IS PART OF THE CERBERUS X BUILER TOOL.
# Function to build transcc
do_transcc(){
EXITCODE=0
do_info "BUILDING TRANSCC WITH $COMPILER"
# Check for an exisiting transcc
[ -f "$BIN/transcc_$HOST" ] && { rm -f "$BIN/transcc_$HOST"; }
... |
7093dfe3cf2d6cb03b8e91a4fcdc6b7debbe2103 | 149 | #!/bin/bash
SCANNER_ID=54daa036-f41f-40ba-9878-2074950991a0
curl https://app.luca-app.de/api/v3/scanners/${SCANNER_ID}/traces/count/current
echo "" |
aefe11f8a69e8b5962c61ea3e443cd8a6ab2104d | 337 | #!/bin/bash
i18ndude rebuild-pot --pot src/venusianconfigdemo/locales/venusianconfigdemo.pot --merge src/venusianconfigdemo/locales/manual.pot --create venusianconfigdemo src/venusianconfigdemo
i18ndude sync --pot src/venusianconfigdemo/locales/venusianconfigdemo.pot src/venusianconfigdemo/locales/*/LC_MESSAGES/venus... |
ad0a8dd360cf52ce5bbc0c0d5acf5db65bbf3373 | 360 | #!/usr/bin/bash
BASE_URL=$PWD/app/
source ${BASE_URL}/local.env
/usr/bin/python3 ${BASE_URL}njmvc_checker.py -s "knowledge test" -c "Edison,South Plainfield,Rahway" >> ${BASE_URL}njmvc_checker.log
if grep -qe "Found [0-9]\+ appointments" ${BASE_URL}njmvc_checker.log; then
echo "Stopping cron..." >> ${BASE_URL}njmv... |
014aca4bd2c48172fc0bf321427a1078d83b3d4f | 55 | #!/bin/bash
# pytables
apt-get install python-tables
|
46218f92b12179960294eeffcd1c76a7e048ddb7 | 602 | #!/bin/bash
if command -v franz >> /dev/null; then
echo "command already exists"
else
sudo apt install -y gconf2 gconf-service libappindicator1
sudo apt install -y jq
function parse_latest_deb_url() {
curl_result=$(curl --silent "https://api.github.com/repos/$1/releases/latest")
only_de... |
915487f2e9a9416559ce7b301e9b4b86f3c12ff7 | 310 | #!/bin/bash
cd src/x86-64/loader/
nasm loader.asm -o ../../../loader.sys
cd ../../..
cd src/x86-64/loader/bootsectors/
nasm multiboot.asm -o ../../../../multiboot.sys
cd ../../../..
cd src/x86-64/kernel/
nasm kernel.asm -o ../../../kernel.sys
cd ../../..
cat multiboot.sys loader.sys kernel.sys > boot.bin
|
c4591ee0332a2f67498e69dedbd8b431f5dbac28 | 99 | #!/bin/bash
mkdir -p /root/.kettle/
env > /root/.kettle/kettle.properties
./carte.sh 0.0.0.0 8181
|
2437a06d7e23345682e052f98dffc7a110331684 | 1,360 | #!/bin/bash
DIR="`dirname \"$0\"`"
. "$DIR"/_common.sh
confirm() {
unset CONFIRM
while [[ -z $CONFIRM ]] ; do
read CONFIRM
done
}
echo "!! There is more work to do on this script" >&2
if [ $# -ne 1 ] ; then
fail "Usage: runtest.sh <dir with test>"
fi
setup_TEST "$1"
setup_vars
[ -d "$TEST.new" ] && rm -rf "... |
0dccbb9a88cad0afa434da0930edcd3fae8b1826 | 124 | MYSQL_ROOT_PASSWORD=mysqlmysql
MYSQL_DATABASE=mysqlDB
MYSQL_USER=root
MYSQL_HOST=mysql
REDIS_HOST=redis
REDIS_PORT=6379
|
3fa4ba222431495c8b238bb96c00dde8705954fd | 563 | #!/bin/bash
source ./init-variables.sh
source ./box.sh
for node in $(seq 1 $workers);
do
eval "$(docker-machine env worker$node)"
docker swarm leave
done
for node in $(seq 1 $leaders);
do
eval "$(docker-machine env leader$node)"
docker swarm leave --force
done
for node in $(seq 1 $workers);
do
docker-... |
b5273134757870eba6b3ea01ffdafd28d8de46d1 | 165 | #!/bin/bash
#A basic script to launch my polybar configs. I copied this from polybar's docs.
killall -q polybar
polybar mine & disown
polybar secondary & disown
|
b6075d5ad16c6e8f4a9e5a12b5ded79bba39caf2 | 1,061 | #!/bin/bash
set -e
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
APP_NAME=apocalypse-post
SUFFIX=$TRAVIS_BRANCH
RESOURCES=resources
USER=user
UPLOADS=uploads
DEPS_BUILD=`pwd`/deps_build
MACOS_FRAMEWORKS=$DEPS_BUILD/Frameworks
mkdir -pv $UPLOADS
mkdir -pv $DEPS_BUILD
function build_deps_macos {
pushd... |
df1b8e7e452a3b922a6ee11e6ea375e5fe642dff | 34,551 | log_file="log.txt";
app="com.alamo.boardsgame";
pkg="threeinline.alamo.com.threeinline";
#activity="PlayLocalGameActivity"
activity="MenuActivity"
normal="echo -n -e \e[0m";
blink="echo -n -e \e[5m";
green="echo -n -e \e[42m\e[31m";
red="echo -n -e \e[41m\e[33m";
yellow="echo -n -e \e[43m\e[34m";
function wr {
d=$(... |
9bf4d56e4d63baee6fd769d68d175c9473acf51c | 2,523 | #!/bin/bash
#
# Copyright (C) 2021 Masatake YAMATO <yamato@redhat.com>
#
# This file is part of util-linux.
#
# This file is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (... |
0d5da7c6f7a7205aca8e67be73c28a7962941d65 | 230 | #!/bin/bash
# @describe:
# @author: Ming He(jackhm18@gmail.com)
process='cli.php'
num=$(ps -elf | grep $process | grep -v grep | wc -l);
if [ "$num" -eq 0 ]; then
php public/cli.php request_uri="/anticheat/index" &;
fi
|
3e245dda8891cf31eb4fb050d8c7f1715de12ed1 | 2,495 | #!/bin/sh
# ANSI color scheme script by github.com/joshdk https://github.com/joshdk/hedgehogs
red=$(printf '\e[31m')
grn=$(printf '\e[32m')
ylw=$(printf '\e[33m')
blu=$(printf '\e[34m')
mag=$(printf '\e[35m')
cya=$(printf '\e[36m')
bld=$(printf '\e[1m')
rst=$(printf '\e[0m')
cat << ART
$red ╷╽╽╽╽╽╽╽╽╽╷ $grn ... |
892d9839d0e7ca1b459f6a6c511bda5258ee5187 | 2,080 | #!/bin/bash -x
#Use Case 1- As a User need to enter a valid First Name.
echo "Welcome to User Registration"
echo "Enter User First Name :"
read firstName;
namepattern="^[A-Z][a-z]{3,}$"
if [[ $firstName =~ $namepattern ]]
then
echo "Valid"
else
echo "Invalid"
fi
#UseCase2- As a User need to enter a valid last... |
0f1b1ab119fc76b02926518a4c7a3235a13aa967 | 548 | #!/bin/bash
BOARD=$(bpi-hw)
XSGXFILE="/usr/share/lightdm/lightdm.conf.d/55-xserver-command-pvr.conf"
XSGXBAK="/usr/share/lightdm/lightdm.conf.d/.55-xserver-command-pvr.conf"
setup_xsgx_xserver()
{
if [ -f "/usr/local/XSGX/bin/X" ] ; then
if [ ! -f "$XSGXFILE" ] ; then
cp -a $XSGXBAK $XSGXFILE
fi
fi
... |
eeaeba7dd64e0fb6bf34348ab1f2577f4ccc202a | 237 | #!/bin/bash
# Testing credentials only production must use production credentials and db
sudo -u postgres psql -c "CREATE USER tester PASSWORD 'testpass';"
sudo -u postgres psql -c "CREATE DATABASE dbtest;"
sudo service postgresql start |
91a64dce311c3d6d0bf0c36e642eefbbe2824523 | 516 | #!/bin/bash
. node.conf
USAGE() {
echo USAGE:
echo "$0 <configfile> <number of nodes>"
exit 1
}
if [ $# -lt 2 ];then
USAGE
fi
cd $(dirname $0)
configfile=$1
node_count=$2
for((i = 0; $i < $node_count; i++)); do
node_name="node-"$i
# Create .Haggle on the node.
ssh $NODE_USERNAME@$node_name mkdi... |
80474c1ddb402978990cc067f132e5e33354f03a | 320 | #!/bin/bash
# Just run this file and you can test your circ files!
# Make sure your files are in the directory above this one though!
# Credits to William Huang
cp alu.circ part1-tests/alu-tests/alu_tests
cd part1-tests/alu-tests
rm -rf student_output
mkdir student_output
chmod +x alu-test.py
./alu-test.py
cd ../../
|
d2592701c659f14bdb0646549be6ea7acbe09534 | 186 | #!/usr/bin/env bash
ELASTICSEARCH_HOST=${ELASTICSEARCH_HOST:-localhost:9200}
ELASTICSEARCH_INDEX=${ELASTICSEARCH_INDEX:-mx}
curl -X DELETE ${ELASTICSEARCH_HOST}/${ELASTICSEARCH_INDEX}
|
ae5c883f4e4e6d0bd5fb0711d9bdf078ea5baf09 | 580 | #!/bin/bash
set -exo pipefail
ftp_url="ftp://$BUNNYCDN_USERNAME:$BUNNYCDN_PASSWORD@storage.bunnycdn.com"
cd public
ftp_options="--reverse --no-perms --transfer-all --overwrite"
lftp "$ftp_url" -e "mirror --dry-run $ftp_options --delete; bye" > ../to-delete.txt
to_delete=$(grep rm ../to-delete.txt | awk -F"$BUNNYCD... |
23d25b6996e93f2330b5ee25679bb68102ef4f6f | 67 | #!/bin/bash
rm *.aux *.blg *.log *.run.xml *.gz *.toc *.bbl *.bcf
|
c6a27b2463ccc75b9b5d0fcc1189aa20ff403c0f | 2,045 |
cd /data/GCE_sys/
echo "Get a beer. This will take a while..."
echo "running gtselect"
gtselect /data/fermi_data_6-26-15/phfile.txt photons_merged_P8R2_CLEAN_V15_calore.fits ra=INDEF dec=INDEF rad=INDEF tmin=INDEF tmax=INDEF zmax=90 emin=300 emax=500000.0 convtype=-1 evclass=256 ... |
4f9ce0c51432fc5403550c0611a9e2cc027dc716 | 959 | #/bin/bash
# Define configuration path
CONFIG_PATH=/root/@server@.cfg/config
cd /var/www/
echo "Installing PhpSysInfo"
echo ""
prevVer=$(ls -d phpsysinfo-*)
echo "Remove previous version: $prevVer"
rm -rf $prevVer
echo "Downloading PhpSysInfo..."
wget http://sourceforge.net/projects/phpsysinfo/files/latest/downloa... |
7df2cb0464592b00bb5583eaf23d7a601b400d99 | 411 | rm ./dir
mosquitto_pub -h localhost -t /$1/tty -m 'dofile("filelist.lua")'
sleep 1
mosquitto_pub -h localhost -t /$1/sctr -m 'dir'
socat -v -d -U OPEN:dir,create TCP4-LISTEN:3335,reuseaddr
list=`cut -d ':' -f 1 dir`
for f in $list
do
# sleep 1
echo " ################## Fichier: $f"
mosquitto_pub -h localhost -t /... |
37723a8e7ff3761beac5252bedc1446a121b275b | 744 | #!/bin/bash
cd `dirname $0`
MODULES=$*;
TUPLES=""
for MODULE in $MODULES ; do
# hard coding known deps for now because the package.json files don't yet contain the package's dependencies
case "$MODULE" in
amazon) DEPS="core" ;;
appengine) DEPS="core" ;;
cloudfoundry) DEPS="core" ;;
core) DE... |
fef708f2a59d91233794c7083cb80d130d190b88 | 146 | #!/bin/bash
set -eu
echo >&2 "unbinding..."
n=5
while [[ $n != '0' ]]; do
sleep 1
n=$(( n - 1 ))
echo >&2 "$n seconds left..."
done
exit 0
|
5daae51cfce2c9e9b2510b3f5f405eb1ba52b4d6 | 2,769 | #!/bin/bash
# author ljh
#安装wget
yum -y install wget
#更换yum源,换成aliyun
wget -O /etc/yum.repos.d/CentOS-Base-aliyun.repo http://mirrors.aliyun.com/repo/Centos-6.repo
mv /etc/yum.repos.d/CentOS-Base.repo /etc/yum.repos.d/CentOS-Base.repo.backup
mv /etc/yum.repos.d/CentOS-Base-aliyun.repo /etc/yum.repos.d/CentOS-Base.repo... |
2a8407cf3a40fb2ee4b8a7afec316bfa97c085b9 | 1,022 | #!/bin/bash
# $Id: tw-email-to,v 1.6 2011/02/23 00:33:53 bruno Exp $
# $Log: tw-email-to,v $
# Revision 1.6 2011/02/23 00:33:53 bruno
# fix to send tripwire reports to multiple recipients.
#
# Revision 1.5 2009/07/01 22:03:59 bruno
# fixes
#
# Revision 1.4 2009/05/26 22:21:31 bruno
# changed 'tripwire' 'mail(to)'... |
e0c12f9e78c4f759f34fe929a055a2eae3b2d5b9 | 13,415 | #!/bin/bash
# Author: Andy Lerner
# Update History:
# 03Nov2017 Removed need for client numbering. Use clush groups to determine clients
# This script can be run from any client node with clush access to all clients and cluster nodes
# ssh to cluster node now used - no dependence on maprcli on client nodes
HA... |
8aa5bc5fe43d5041474cab500c77148cd0d21d58 | 210 | #!/bin/bash
sqlite3 ../shinyDex < ../sqlScript/dataBaseCreateTables.sql
sqlite3 ../shinyDex < ../sqlScript/dataBaseFillMethode.sql
python3 ./pokemon.py
sqlite3 ../shinyDex < ../sqlScript/dataBaseFillPokemon.sql |
494eaaedd4601c60070395e4344cc0a380322c04 | 175 | #!/bin/sh
# Install IJulia Kernel as the emr-notebook user
sudo -u emr-notebook JUPYTER=/emr/notebook-env/bin/jupyter /usr/local/bin/julia -e 'using Pkg; Pkg.add(["IJulia"])' |
5d9d4bc24f513a338def3d5b415598b563f47464 | 173 | #! /bin/bash
set -e errexit
set -o pipefail
xcodebuild -scheme EonilPco -configuration Debug clean build test
xcodebuild -scheme EonilPco -configuration Release clean build
|
761b247bde8e4f64c8fb5286f9efef9829bbf4c7 | 551 | #!/bin/bash
# Starts apps with the specified commands and avoids starting if already running.
# The app name used should the same as the process name.
for pair in "$@"; do
# split arg into seperate variables
IFS=:; set -- $pair
NAME=$1
CMD=$2
if pgrep -x "$NAME" > /dev/null
then
echo ... |
52d2d8b9e187c393add130a629a60b4124dcbf2a | 977 | # This cleanly add a path to either an empty or an already filled environement
# variable.
prepend-path() {
local variable=$1
if [ -z "${!variable}" ]; then
export $1=$2;
else
export $1=$2:"${!variable}";
fi
}
append-path() {
local variable=$1
if [ -z "${!variable}" ]; then
... |
94a0320d54998f95f6b4e604ee73b642d0201141 | 33 | #!/bin/bash
python NewListener.py |
e7f0182874f19aae6036e4655a7468476180b1d1 | 1,214 | #!/bin/bash
cd ../../../..
cd external/tinycompress
git apply -v ../../device/Walton/Primo HM2/patches/external_tinycompress/external_tinycompress.patch
cd ../..
cd frameworks/av
git apply -v ../../device/Walton/Primo HM2/patches/frameworks_av/frameworks_av.patch
cd ../..
cd frameworks/base
git apply -v ../../device/Wa... |
3803d91af851e35ae7a4656da9b7610c6373aa4f | 768 | scp ../owgis_videos/globalW.mp4 rpi1:~/anima/
scp ../owgis_videos/globalW.mp4 rpi2:~/anima/
scp ../owgis_videos/globalW.mp4 rpi3:~/anima/
scp ../owgis_videos/globalW.mp4 rpi4:~/anima/
scp ../owgis_videos/globalT.mp4 rpi1:~/anima/
scp ../owgis_videos/globalT.mp4 rpi2:~/anima/
scp ../owgis_videos/globalT.mp4 rpi3:~/anim... |
8711c0cb7bf11b0559287d095fe1322a8c48dd5b | 525 | #!/bin/bash
DS4_DRIVER_LOCAL_PATH="${1}"
# Override with local copy of ds4_driver (for development)
if [[ -n $DS4_DRIVER_LOCAL_PATH ]]; then
_ws_prefix=/opt/underlay_ws
docker run -it \
-v "/dev:/dev" \
--privileged \
-v "$( realpath $DS4_DRIVER_LOCAL_PATH ):$_ws_prefix/src/ds4_driver"... |
1273d898abc6acf64683aec4f45caa6e6d191a38 | 131 | #!/usr/bin/env bash
echo Run last successful build from current branch
"Main/Download.command" --tc-use-gui-auth --category exact
|
ce3cd55af942473eed2136cba7329c56fd3ae5ac | 112 | ATLAS_URI=mongodb+srv://jose1234:jose1234@cluster0.nb9ew.mongodb.net/myFirstDatabase?retryWrites=true&w=majority |
8d9742788617075caeb2a70749a9838cce079e83 | 293 | #!/usr/bin/env bash
# Web-based tools authentication.
mkdir --parents /etc/bootstrap/passwds;
touch /etc/bootstrap/passwds/.tools;
htpasswd -D /etc/bootstrap/passwds/.tools "${CFG_TOOLS_USERNAME}";
htpasswd -cb /etc/bootstrap/passwds/.tools "${CFG_TOOLS_USERNAME}" "${CFG_TOOLS_PASSWORD}";
|
ac159b77b4da8df6914f60de35d744f23b70d682 | 891 | # Show contents of directory after cd-ing into it
chpwd() {
ls -lrthG
}
# History rocks
HISTSIZE=20000
SAVEHIST=20000
HISTFILE=~/.zsh_history
HISTTIMEFORMAT="%h %d %H:%M:%S "
autoload -U compinit
compinit -u
source $HOME/dotfiles/zsh/aliases # aliases
source $HOME/dotfiles/zsh/functions # funct... |
a64f44edc57c3f7a1256aa1c8f35c8d9526b9fd4 | 365 | #!/bin/bash
# install protoc 3.7.1
# export GO111MODULES=on
# go install github.com/golang/protobuf/protoc-gen-go@v1.3.3
# go install github.com/grpc-ecosystem/grpc-gateway/protoc-gen-grpc-gateway@v1.16.0
protoc -I ./ ./*.proto \
-I ./googleapis \
--go_opt=paths=source_relative \
--go_out=plugins=grpc:./ ... |
1b30c54e32a13d1b07dbfe6504a5255f888aab33 | 200 | #!/bin/bash
SLEEP_DURATION=0.0
xsetwacom set "Wacom Intuos PT S Pen stylus" MapToOutput eDP1
sleep $SLEEP_DURATION
xsetwacom set "Wacom Intuos PT S Pen eraser" MapToOutput eDP1
sleep $SLEEP_DURATION
|
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.